[gnome-continuous-yocto/gnomeostree-3.28-rocko: 2793/8267] build-perf-test-wrapper.sh: check for positional arguments



commit eb1c8cd1d938cb4d1bf44c525cea1eafb52cdb96
Author: Markus Lehtonen <markus lehtonen linux intel com>
Date:   Thu Sep 29 20:10:08 2016 +0300

    build-perf-test-wrapper.sh: check for positional arguments
    
    Stricter checking of command line arguments. The script doesn't use any
    positional arguments so don't accept any and error out if those are
    found.
    
    (From OE-Core rev: 4725ee8e4e4837446dfa3a319eb68cc9572c55eb)
    
    Signed-off-by: Markus Lehtonen <markus lehtonen linux intel com>
    Signed-off-by: Ross Burton <ross burton intel com>
    Signed-off-by: Richard Purdie <richard purdie linuxfoundation org>

 scripts/contrib/build-perf-test-wrapper.sh |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)
---
diff --git a/scripts/contrib/build-perf-test-wrapper.sh b/scripts/contrib/build-perf-test-wrapper.sh
index d61e438..90dd545 100755
--- a/scripts/contrib/build-perf-test-wrapper.sh
+++ b/scripts/contrib/build-perf-test-wrapper.sh
@@ -57,6 +57,14 @@ while getopts "ha:c:C:w:" opt; do
     esac
 done
 
+# Check positional args
+shift "$((OPTIND - 1))"
+if [ $# -ne 0 ]; then
+    echo "ERROR: No positional args are accepted."
+    usage
+    exit 1
+fi
+
 echo "Running on `uname -n`"
 if ! git_topdir=$(git rev-parse --show-toplevel); then
         echo "The current working dir doesn't seem to be a git clone. Please cd there before running 
`basename $0`"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]